--   
--          
--  : onSpawn
do
	local spawnT = {}
	local spawnCT = {}
	
	function addSpawnT(x,y)
		table.insert(spawnT,{x*32+16,y*32+16})
	end
	
	function addSpawnCT(x,y)
		table.insert(spawnCT,{x*32+16,y*32+16})
	end
	
	addhook("spawn","onSpawn")
	function onSpawn(id)
		local pt = player(id,"team")
		local coord
		if pt == 1 then
			coord = spawnT[math.random(1,#spawnT)]
		elseif pt == 2 then
			coord = spawnCT[math.random(1,#spawnCT)]
		end
		parse ("setpos "..id.." "..coord[1].." "..coord[2])
	end
end

--  
--     -    
--  : onBuy
do
	local buyZones = {}
	
	addhook("buy","onBuy")
	function onBuy(id, weapon)
		if #buyZones == 0 then return 0 end
		local x = player(id,"x")/32
		local y = player(id,"y")/32
		for _,rect in pairs(buyZones) do
			local t = player(id,"team"); local zt = rect[5]
			if not zt or ((t == 1 and zt == "t") or (t == 2 and zt == "ct")) then
				if rect[1] < x and x < rect[3]+1 and rect[2] < y and y < rect[4]+1 then
					return 0
				end
			end
		end
		
		--    ,   
		return 1
	end
	
	function addBuyZone(x1,y1,x2,y2,t)
		table.insert(buyZones,{x1,y1,x2,y2,t})
	end
end

--addBuyZone(x1,y1,x2,y2,[team])
--		x1,y1 -       
--		x2,y2 -       
--		team  -  , "t" -    , "ct" -    
--addSpawnT(x,y)
--		x,y -     
--addSpawnCT(x,y)
--		x,y -     


addBuyZone(12,11,17,15)

addSpawnT(6,2); addSpawnT(8,2); addSpawnT(10,2)
addSpawnT(6,4); addSpawnT(8,4); addSpawnT(10,4)
addSpawnT(19,2); addSpawnT(21,2); addSpawnT(23,2)
addSpawnT(19,4); addSpawnT(21,4); addSpawnT(23,4)

addSpawnCT(6,22); addSpawnCT(8,22); addSpawnCT(10,22)
addSpawnCT(6,24); addSpawnCT(8,24); addSpawnCT(10,24)
addSpawnCT(19,22); addSpawnCT(21,22); addSpawnCT(23,22)
addSpawnCT(19,24); addSpawnCT(21,24); addSpawnCT(23,24)
